<packet name="BeginItemCreation">
	<version number="1">
		<u32 name="unknown1">
		<u32 name="primary_component_id">
		<u8 name="num_build_components">
		<array name="component_array" count="var:num_build_components">
			<u32 name="component_num">
			<u8 name="component_unknown">
			<u32 name="component_id">
			<u8 name="component_qty">
		</array>
		<u8 name="unknown2">
		<u32 name="fuel_id">
		<u8 name="fuel_qty">
	</version>
	<version number="1193">
		<u8 name="unknown1" size="11">
		<u32 name="primary_component_id">
		<u16 name="num_build_components">
		<array name="component_array" count="var:num_build_components">
			<u32 name="component_num">
			<u8 name="component_unknown">
			<u32 name="component_id">
			<u8 name="component_unknown2">
			<u16 name="component_qty">
		</array>
		<u8 name="unknown2">
		<u32 name="fuel_id">
		<u16 name="fuel_qty">
	</version>
	<version number="1199">
		<u8 name="unknown1" size="10">
		<u8 name="num_primary_selected_items">
		<array name="primary_selected_items_array" count="var:num_primary_selected_items">
			<u32 name="primary_selected_item_id">
			<u16 name="primary_selected_item_qty">
		</array>
		<u8 name="num_build_components">
		<array name="component_array" count="var:num_build_components">
			<u32 name="unknown">
			<u8 name="num_selected_items">
			<array name="selected_item_array" count="var:num_selected_items">
				<u32 name="selected_id">
				<u16 name="selected_qty">
			</array>
		</array>
		<u8 name="num_fuel_items">
		<array name="fuel_item_array" count="var:num_fuel_items">
			<u32 name="fuel_id">
			<u16 name="fuel_qty">
		</array>
	</version>
</packet>